Subject: bug#58036: kernel module not found "pata_acpi" in linux-libre-5.19.10

From: Ludovic Courtès <[email-masked]>
Date: Mon, 26 Sep 2022 15:21:24 +0200

Maxim Cournoyer <[email-masked]> skribis:

>>> gnu/build/linux-modules.scm:257:5: kernel module not found "pata_acpi" "/gnu/store/nmdy7c4i34y12w8af7zl6sl9fmrp8wa0-linux-libre-5.19.10/lib/modules"
>>> builder for `/gnu/store/x9qdj37d6l2yacc73bx284ggj6vkhcdv-linux-modules.drv' failed with exit code 1
>>
>> This is the derivation made by ‘flat-linux-module-directory’ in (gnu
>> system linux-initrd).
>>
>> How did you work around it?
>
> I had to use the previous version of the latest linux-libre kernel, by
> using this commit:
>
> $ guix time-machine --commit=08d515233241ee0921b8b5ab706f98170c62437c -- \
>     deploy -L modules deploy-overdrive1.scm

OK.  I wonder if it’s just luck, because on another run with the same
revision I’m now hitting it.  It might relate to
<https://issues.guix.gnu.org/57117>.

> There's currently no '--allow-downgrades' for 'guix deploy'.

There’s the ‘allow-downgrades?’ field of ‘machine-ssh-configuration’,
but sssssh!  (info "(guix) Invoking guix deploy")

Ludo’.